
#ifndef MCABBER_ACTIVITY_H
#define MCABBER_ACTIVITY_H

/*
 * activity.h           -- Pep activity events
 *
 * Copyright (C) 2012      Myhailo Danylenko <isbear@ukrpost.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include <glib.h>

#define NS_ACTIVITY        ( "http:/" "/jabber.org/protocol/activity"        )
#define NS_ACTIVITY_NOTIFY ( "http:/" "/jabber.org/protocol/activity+notify" )

#define HOOK_ACTIVITY_IN  ( "activity-in"  )
#define HOOK_ACTIVITY_OUT ( "activity-out" )

#define ACTIVITY_ERROR_NOTCONNECTED ( 0x01 )

void activity_publish ( const gchar *major, const gchar *minor, const gchar *text );
gboolean activity_request ( const gchar *to, GError **error );

#endif

